summaryrefslogtreecommitdiff
path: root/opentox-webservices.sh
diff options
context:
space:
mode:
authorChristoph Helma <helma@in-silico.ch>2011-02-09 11:30:08 +0100
committerChristoph Helma <helma@in-silico.ch>2011-02-09 11:30:08 +0100
commit493dc4f0268a853c8b5488803b14efb5540163b5 (patch)
treea77d8d21b10cee1b03d038abbc2dc33a6fd4e2d0 /opentox-webservices.sh
parent0871dbf4fc3f8e1083490197b7be7be2b5163d14 (diff)
initial import
Diffstat (limited to 'opentox-webservices.sh')
-rw-r--r--opentox-webservices.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/opentox-webservices.sh b/opentox-webservices.sh
new file mode 100644
index 0000000..d22e5f4
--- /dev/null
+++ b/opentox-webservices.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+echo "Installing OpenTox webservices"
+. ./config
+# Create opentox system user
+id opentox
+if [ $? -ne 0 ]
+then
+ adduser --system opentox
+fi
+
+mkdir -p /var/www/opentox
+cd /var/www/opentox
+for s in compound dataset algorithm model toxcreate task; do
+ git clone git://github.com/helma/opentox-$s.git $s
+ cd $s
+ git checkout -t origin/$branch
+ mkdir -p public
+ ln -s /var/www/opentox/$s/public /var/www/$s
+ cd -
+done
+git clone http://github.com/mguetlein/opentox-validation.git validation
+cd validation
+git checkout -t origin/$branch
+cd -
+cd /var/www/opentox/algorithm
+rake fminer:install
+chown -R opentox /var/www/opentox
+cd -